import PropTypes from 'prop-types';
import AtomIcon, { ATOM_ICON_SIZES } from '@s-ui/react-atom-icon';
import { BASE_CLASS, DEFAULT_FACE_RECOGNITION_ICON, EVENTS } from '../../config.js';
import useEventBus from '../../hooks/useEventBus.js';
import useI18n from '../../hooks/useI18n.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var FaceRecognition = function FaceRecognition(_ref) {
  var icons = _ref.icons;
  var _useEventBus = useEventBus(),
    emit = _useEventBus.emit;
  var i18n = useI18n();
  return /*#__PURE__*/_jsxs("div", {
    className: BASE_CLASS + "-formFooter " + BASE_CLASS + "-formFooterIcon",
    onClick: function onClick() {
      return emit(EVENTS.BIOMETRIC_LOGIN, null);
    },
    children: [/*#__PURE__*/_jsx(AtomIcon, {
      size: ATOM_ICON_SIZES.medium,
      children: icons.faceRecognition || DEFAULT_FACE_RECOGNITION_ICON
    }), i18n.t('LOGIN_CROSS.LOGIN.FACE_RECOGNITION')]
  });
};
FaceRecognition.displayName = 'FaceRecognition';
export default FaceRecognition;