import _extends from "@babel/runtime/helpers/esm/extends";
import { useReducer } from 'react';
var useLoginFormState = function useLoginFormState() {
  var initialState = {
    defaultDisabledSubmitButton: true,
    email: '',
    password: '',
    isLoading: false,
    emailErrorText: '',
    passwordErrorText: '',
    notification: {
      text: '',
      isError: false
    }
  };
  var reducer = function reducer(state, action) {
    switch (action.type) {
      case 'SET_EMAIL':
        return _extends({}, state, {
          defaultDisabledSubmitButton: false,
          email: action.payload.email,
          emailErrorText: action.payload.emailErrorText,
          passwordErrorText: action.payload.passwordErrorText,
          isLoading: false
        });
      case 'SET_PASSWORD':
        return _extends({}, state, {
          defaultDisabledSubmitButton: false,
          password: action.payload.password,
          emailErrorText: action.payload.emailErrorText,
          passwordErrorText: action.payload.passwordErrorText,
          isLoading: false
        });
      case 'SET_NOTIFICATION':
        return _extends({}, state, {
          notification: {
            text: action.payload.text,
            isError: action.payload.isError
          },
          isLoading: false
        });
      case 'SET_LOADING':
        return _extends({}, state, {
          isLoading: action.payload
        });
      default:
        return state;
    }
  };
  var _useReducer = useReducer(reducer, initialState),
    state = _useReducer[0],
    dispatch = _useReducer[1];

  // Action for each of the above
  var setEmail = function setEmail(_ref) {
    var email = _ref.email,
      emailErrorText = _ref.emailErrorText,
      passwordErrorText = _ref.passwordErrorText;
    dispatch({
      type: 'SET_EMAIL',
      payload: {
        email: email,
        emailErrorText: emailErrorText,
        passwordErrorText: passwordErrorText
      }
    });
  };
  var setPassword = function setPassword(_ref2) {
    var password = _ref2.password,
      passwordErrorText = _ref2.passwordErrorText,
      emailErrorText = _ref2.emailErrorText;
    dispatch({
      type: 'SET_PASSWORD',
      payload: {
        password: password,
        passwordErrorText: passwordErrorText,
        emailErrorText: emailErrorText
      }
    });
  };
  var setNotification = function setNotification(_ref3) {
    var text = _ref3.text,
      isError = _ref3.isError;
    dispatch({
      type: 'SET_NOTIFICATION',
      payload: {
        text: text,
        isError: isError
      }
    });
  };
  var setIsLoading = function setIsLoading(isLoading) {
    dispatch({
      type: 'SET_LOADING',
      payload: isLoading
    });
  };
  return {
    state: state,
    setEmail: setEmail,
    setPassword: setPassword,
    setNotification: setNotification,
    setIsLoading: setIsLoading
  };
};
export default useLoginFormState;